=== debian/changelog ===
asl (0.1.6-3build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:10:25 +0000

asl (0.1.6-3build1) yakkety; urgency=medium

  * Rebuild against libvtk6.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2016 10:28:44 +0200

asl (0.1.6-3) unstable; urgency=medium

  * Add upstream patch fixing FTBFS with Boost 1.60.
    Thanks to Gianfranco Costamagna

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 07 May 2016 19:19:44 +0100

asl (0.1.6-2) unstable; urgency=medium

  * d/gbp.conf: use recommended DEP-14 settings:
    - Change packaging branch to debian/master.
    - Use upstream tag format.
  * Drop -dbg package in favor of autogenerated -dbgsym.
  * Improve generation of -doc package:
    - Move doxygen to Build-Depends-Indep.
    - Use arch-indep targets to configure and install.
    - Install examples.
  * d/rules: do not set CMAKE_BUILD_TYPE explicitly.
  * d/rules: build examples and testsuite conditionally on nocheck.
  * d/rules: add missing maintainer flags.
  * Run cme fix on d/control:
    - Fix formatting, wrap and sort.
    - Drop versioned dependency on libvtk6-dev.
    - Use secure VCS-Git URI.
    - Bump standards version to 3.9.8, no changes required.
  * Cherry-pick upstream fix for FTBFS error.
    Thanks to Martin Michlmayr (Closes: 822469)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 05 May 2016 20:32:28 +0100

asl (0.1.6-1) unstable; urgency=low

  * Initial release. Closes: #796850

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Aug 2015 11:01:30 +0100
