=== debian/control ===
Source: asl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-filesystem-dev (>= 1.55),
               libboost-program-options-dev (>= 1.55),
               libboost-system-dev (>= 1.55),
               libmatio-dev,
               libvtk6-dev,
               ocl-icd-opencl-dev | opencl-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/asl.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/asl.git
Homepage: http://asl.org.il

Package: libasl0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: multiphysics simulation software (shared libraries)
 The Advanced Simulation Library (ASL) is a free and open source multiphysics
 simulation software package.
 .
 Its computational engine is based, among others, on the Lattice Boltzmann
 Methods and is written in OpenCL which enable extraordinarily efficient
 deployment on a variety of massively parallel architectures, ranging from
 inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and
 supercomputers. The engine is hidden entirely behind C++ classes, so that no
 OpenCL knowledge is required from application programmers.
 .
 ASL can be utilized to model various coupled physical and chemical phenomena
 and employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, high-performance scientific computing,
 etc...
 .
 This package contains the shared libraries.

Package: libasl-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libasl0 (= ${binary:Version})
Suggests: libasl-doc
Description: multiphysics simulation software (development files)
 The Advanced Simulation Library (ASL) is a free and open source multiphysics
 simulation software package.
 .
 Its computational engine is based, among others, on the Lattice Boltzmann
 Methods and is written in OpenCL which enable extraordinarily efficient
 deployment on a variety of massively parallel architectures, ranging from
 inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and
 supercomputers. The engine is hidden entirely behind C++ classes, so that no
 OpenCL knowledge is required from application programmers.
 .
 ASL can be utilized to model various coupled physical and chemical phenomena
 and employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, high-performance scientific computing,
 etc...
 .
 This package contains the development files.

Package: libasl-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Description: multiphysics simulation software (documentation)
 The Advanced Simulation Library (ASL) is a free and open source multiphysics
 simulation software package.
 .
 Its computational engine is based, among others, on the Lattice Boltzmann
 Methods and is written in OpenCL which enable extraordinarily efficient
 deployment on a variety of massively parallel architectures, ranging from
 inexpensive FPGAs, DSPs and GPUs up to heterogeneous clusters and
 supercomputers. The engine is hidden entirely behind C++ classes, so that no
 OpenCL knowledge is required from application programmers.
 .
 ASL can be utilized to model various coupled physical and chemical phenomena
 and employed in a multitude of fields: computational fluid dynamics, virtual
 sensing, industrial process data validation and reconciliation, image-guided
 surgery, computer-aided engineering, high-performance scientific computing,
 etc...
 .
 This package contains the documentation files.
