=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

BUILD_OPTIONS = \
	-DBUILD_SHARED_LIBS=ON \
	-DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)" \
	-DWITH_MATIO=ON

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
BUILD_OPTIONS += -DWITH_EXAMPLES=ON -DWITH_TESTS=ON
else
BUILD_OPTIONS += -DWITH_EXAMPLES=OFF -DWITH_TESTS=OFF
endif

%:
	dh $@ --parallel 

override_dh_auto_configure-arch:
	dh_auto_configure -- $(BUILD_OPTIONS) -DWITH_API_DOC=OFF

override_dh_auto_configure-indep:
	dh_auto_configure -- $(BUILD_OPTIONS) -DWITH_API_DOC=ON

override_dh_auto_test:
	# No-op.

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_doxygen --indep

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_compress:
	dh_compress --exclude=examples
